Archive wikimedia/communications/WMBlog.git ?
Closed, ResolvedPublic

Description

wikimedia/communications/WMBlog seems to be a Wordpress plugin for https://blog.wikimedia.org/ by @gpaumier . Last commit is from 4+ years ago and I doubt it is still used.

If the plugin is no more used, I guess we can archive the Gerrit repository?

hashar created this task.Aug 3 2017, 10:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2017, 10:15 AM
MarcoAurelio moved this task from Archive extension to Backlog on the Cleanup board.
SamanthaNguyen added a subscriber: SamanthaNguyen.

I'm going to be bold and tag this with 2 extra tags, since I believe this task would be under the scopes of both of those. I'd like it better to have some confirmation first on what should be done by any relevant members, and if they have something that replaces this Gerrit repository.

If this isn't actually under there scope; I apologize and whoever finds this to be inaccurate can feel free to remove it.

Given the age, I assume that this is the old blog theme that is no longer used. @Tbayer, would you be able to confirm?

Yes, this theme is not longer in use since 2014 (see also the notes at https://meta.wikimedia.org/wiki/Wikimedia_Blog#WordPress_Theme ). We should continue to provide a published version that reusers can download, but I understand that this will remain possible after archiving the Gerrit repo (correct, @hashar ?).

@Tbayer indeed. I will just mark the repository as read-only in Gerrit. So people can still read / clone the code.

Mentioned in SAL (#wikimedia-releng) [2017-08-30T12:49:48Z] <hashar> gerrit: marked wikimedia/communications/WMBlog as read-only - T172372

hashar closed this task as Resolved.Aug 30 2017, 12:49 PM
hashar claimed this task.

Thank you!